<?php
$GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"] = (@$GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"] ?: array()) + array("_fe2579cea630be3ef7" . "3ecaa47a26a59f" => base64_decode("cGVvcGxlLm15X2luZm9iYXIuYm9va21hcm" . "tfYWRkZWQ="), "_4c510e5a" . "dc7368560" . "eb3dd6ed4" . "29e5c5" => base64_decode("Li4vY29tbW9uL3Byb2Nlc3NfcmVzc" . "G9uc2UucGhw"), "titl" . "e" => base64_decode("dG" . "l0" . "bG" . "U="), "_0c5123aa744f69bb" . "c0e8b3ea2f6e847d" => base64_decode("bG1" . "zZw" . "=="), "mes" . "sag" . "e" => base64_decode("bWVzc2" . "FnZQ=="), "_b93155a" . "b570822d" . "94f80f2b" . "49acbdcd" . "e" => base64_decode("dXJsZGVj" . "b2Rl"), "u" . "r" . "l" => base64_decode("dXJ" . "s"), "_a62d761f3e831ff9d" . "9da39f9c26ecddc" => base64_decode("Li4vY29tbW9u" . "L2NvcmUucGhw"));
use Claromentis\Core\Http\gpc;
use Claromentis\Design\Facade\ActiveTheme;
use Claromentis\Design\Style\Option;
require_once $GLOBALS["__65da1b1ec2d6653e8a" . "0ab7848e536215"]["_a62d761f3e831ff9d9da39f9c26e" . "cddc"];
global $g_application, $g_response;
$request = $g_application->request;
try {
    gpc::CheckToken($request);
    $url = $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["_b93155ab570822d94f80f2b49ac" . "bdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["u" . "r" . "l"]));
    $title = $GLOBALS["__65da1b1ec2d6653e8a0ab7848e53621" . "5"]["_b93155ab570822d94f80f2b49" . "acbdcde"](gpc::get($request, $GLOBALS["__65da1b1ec2d6653" . "e8a0ab7848e536215"]["t" . "i" . "t" . "l" . "e"]));
    $user_id = $g_application->security->GetUserId();
    $links_list = new InfobarPersonalLinksList($user_id);
    $link = new InfobarPersonalLink();
    $link->user_id = $user_id;
    $link->title = $title;
    $link->link = $url;
    $link->new_window = false;
    $link->display_order = $links_list->GetLastDisplayOrder() + 1;
    $links_list->AddLink($link, $link->display_order);
    $msg = $GLOBALS["__65da1b1ec2d66" . "53e8a0ab7848e53" . "6215"]["_0c5123aa744f69bbc0e8b3e" . "a2f6e847d"]($GLOBALS["__65da1b1ec2d6653e8a0a" . "b7848e536215"]["_fe2579cea630be3ef73ecaa47a2" . "6a59f"]);
    $status = 200;
} catch (Exception $e) {
    $msg = $e->getMessage();
    $status = 500;
}
$response_array = [$GLOBALS["__65da1b1ec2d665" . "3e8a0ab7848e5362" . "15"]["messa" . "ge"] => $msg];
$g_response = new \Claromentis\Core\Http\JsonPrettyResponse($response_array, $status);
require_once $GLOBALS["__65da1b1ec2d" . "6653e8a0ab784" . "8e536215"]["_4c510e5adc73" . "68560eb3dd6ed" . "429e5c5"];